---------------------
PatchSet 5156 
Date: 2007/08/05 13:49:31
Author: amosjeffries
Branch: squid3-ipv6
Tag: (none) 
Log:
Apparently EAI_NODATA is now deprecated/obsolete.

Members: 
	src/dnsserver.cc:1.7.4.10->1.7.4.11 

Index: squid3/src/dnsserver.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/dnsserver.cc,v
retrieving revision 1.7.4.10
retrieving revision 1.7.4.11
diff -u -r1.7.4.10 -r1.7.4.11
--- squid3/src/dnsserver.cc	18 Jul 2007 12:47:59 -0000	1.7.4.10
+++ squid3/src/dnsserver.cc	5 Aug 2007 13:49:31 -0000	1.7.4.11
@@ -1,6 +1,6 @@
 
 /*
- * $Id: dnsserver.cc,v 1.7.4.10 2007/07/18 12:47:59 amosjeffries Exp $
+ * $Id: dnsserver.cc,v 1.7.4.11 2007/08/05 13:49:31 amosjeffries Exp $
  *
  * DEBUG: section 0     DNS Resolver
  * AUTHOR: Harvest Derived
@@ -204,10 +204,17 @@
                 printf("$fail DNS Domain '%s' does not exist: %s.\n", buf, gai_strerror(res));
                 break;
 
+#if defined(EAI_NODATA) || defined(EAI_NONAME)
+#ifdef EAI_NODATA
+            /* deprecated. obsolete on some OS */
             case EAI_NODATA:
+#endif
+#ifdef EAI_NONAME
+            case EAI_NONAME:
+#endif
                 printf("$fail DNS Domain '%s' exists without any IPs: %s.\n", buf, gai_strerror(res));
                 break;
-
+#endif
             default:
                 printf("$fail A system error occured looking up Domain '%s': %s.\n", buf, gai_strerror(res));
         }
